export interface UserMenuItem {
  id: string;
  name: string;
  url: string;
  type: string;
  parentId: string;
  sequence: number;
  enable: boolean;
}

export type AppMenuItem = { children: AppMenuItem[] } & UserMenuItem;

export interface AppState {
  version: string;
  appMenus: AppMenuItem[];
  privilegeList: PrivilegeItem[];
  validRoutes: string[];
  breadcrumbs: string[];
}
