import { Modal } from '@arco-design/web-vue';

export async function modalConfirm(title, content) {
  return new Promise((resolve, reject) => {
    Modal.confirm({
      title,
      content,
      escToClose: false,
      maskClosable: false,
      closable: false,
      titleAlign: 'start',
      onOk() {
        resolve('confirm');
      },
      onCancel() {
        reject();
      },
    });
  });
}
